aboutsummaryrefslogtreecommitdiff
path: root/go/chromeos/target_sh
diff options
context:
space:
mode:
Diffstat (limited to 'go/chromeos/target_sh')
-rwxr-xr-xgo/chromeos/target_sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/go/chromeos/target_sh b/go/chromeos/target_sh
new file mode 100755
index 00000000..43c5fac6
--- /dev/null
+++ b/go/chromeos/target_sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -e -o pipefail
+
+# Run a command on the target ChromeOS device.
+#
+# Usage: target_sh <cmd> <args>...
+
+target="$1"
+shift
+
+ssh ${target} "$*"